# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'compiler_box/version'

Gem::Specification.new do |spec|
  spec.name          = "compiler_box"
  spec.version       = CompilerBox::VERSION
  spec.authors       = ["Praneeth Sadda"]
  spec.email         = ["psadda@jhu.edu"]

  spec.summary       = %q{The Compiler (in a) Box}
  spec.description   = %q{Generate all parts of a compiler, including the lexer, parser, syntax tree, symbol table, type checker, code generator, and optimizer.}
  spec.homepage      = "http://github.com/psadda/compiler_box"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
